Package io.vertx.micrometer

## Class Match

- java.lang.Object
- - io.vertx.micrometer.Match

-     public class Match
      extends Object

  A match for a value.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static MatchType` | `DEFAULT_TYPE` | The default value : `MatchType.EQUALS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Match()` | Default constructor
    `Match​(JsonObject json)` | Create an instance from a `JsonObject`
    `Match​(Match other)` | Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAlias()` |
    `MetricsDomain` | `getDomain()` |
    `String` | `getLabel()` |
    `MatchType` | `getType()` |
    `String` | `getValue()` |
    `Match` | `setAlias​(String alias)` | Set an alias that would replace the label value when it matches.
    `Match` | `setDomain​(MetricsDomain domain)` | Set the label domain, restricting this rule to a single domain.
    `Match` | `setLabel​(String label)` | Set the label name.
    `Match` | `setType​(MatchType type)` | Set the type of matching to apply.
    `Match` | `setValue​(String value)` | Set the matched value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TYPE

          public static final MatchType DEFAULT_TYPE

      The default value : `MatchType.EQUALS`

  - ### Constructor Detail

    - #### Match

          public Match()

      Default constructor

    - #### Match

          public Match​(Match other)

      Copy constructor
      Parameters:
        `other` - The other `Match` to copy when creating this

    - #### Match

          public Match​(JsonObject json)

      Create an instance from a `JsonObject`
      Parameters:
        `json` - the JsonObject to create it from

  - ### Method Detail

    - #### getDomain

          public MetricsDomain getDomain()

      Returns:
        the label domain

    - #### setDomain

          public Match setDomain​(MetricsDomain domain)

      Set the label domain, restricting this rule to a single domain.
      Parameters:
        `domain` - the label domain
      Returns:
        a reference to this, so the API can be used fluently

    - #### getLabel

          public String getLabel()

      Returns:
        the label name

    - #### setLabel

          public Match setLabel​(String label)

      Set the label name. The match will apply to the values related to this key.
      Parameters:
        `label` - the label name
      Returns:
        a reference to this, so the API can be used fluently

    - #### getValue

          public String getValue()

      Returns:
        the matched value

    - #### setValue

          public Match setValue​(String value)

      Set the matched value.
      Parameters:
        `value` - the value to match
      Returns:
        a reference to this, so the API can be used fluently

    - #### getType

          public MatchType getType()

      Returns:
        the matcher type

    - #### setType

          public Match setType​(MatchType type)

      Set the type of matching to apply.
      Parameters:
        `type` - the matcher type
      Returns:
        a reference to this, so the API can be used fluently

    - #### getAlias

          public String getAlias()

      Returns:
        the matcher alias

    - #### setAlias

          public Match setAlias​(String alias)

      Set an alias that would replace the label value when it matches.
      Parameters:
        `alias` - the matcher alias
      Returns:
        a reference to this, so the API can be used fluently